Loading...
Searching...
No Matches
VideoRenderWidget Class Reference

`#include <Qt/VideoRenderWidget.h>`

Inheritance diagram for VideoRenderWidget:

## Public Member Functions

VideoRenderer * | GetRenderer () const
void | SetAspectRatio (openshot::Fraction new_aspect_ratio, openshot::Fraction new_pixel_ratio)
| VideoRenderWidget (QWidget *parent=0)
| ~VideoRenderWidget ()

## Protected Member Functions

QRect | centeredViewport (int width, int height)
void | paintEvent (QPaintEvent *event)

## Detailed Description

Definition at line 24 of file VideoRenderWidget.h.

## Constructor & Destructor Documentation

## VideoRenderWidget()

VideoRenderWidget::VideoRenderWidget | ( | QWidget * | parent = `0` | ) |

Definition at line 22 of file VideoRenderWidget.cpp.

## ~VideoRenderWidget()

VideoRenderWidget::~VideoRenderWidget | ( |  | ) |

Definition at line 40 of file VideoRenderWidget.cpp.

## Member Function Documentation

## centeredViewport()

QRect VideoRenderWidget::centeredViewport | ( | int | width,
|  | int | height
| ) |  |

protected

Definition at line 55 of file VideoRenderWidget.cpp.

Referenced by paintEvent().

## GetRenderer()

VideoRenderer * VideoRenderWidget::GetRenderer | ( |  | ) | const

Definition at line 44 of file VideoRenderWidget.cpp.

## paintEvent()

void VideoRenderWidget::paintEvent | ( | QPaintEvent * | event | ) |

protected

Definition at line 69 of file VideoRenderWidget.cpp.

## SetAspectRatio()

void VideoRenderWidget::SetAspectRatio | ( | openshot::Fraction | new_aspect_ratio,
|  | openshot::Fraction | new_pixel_ratio
| ) |  |

Definition at line 49 of file VideoRenderWidget.cpp.

The documentation for this class was generated from the following files:

- Qt/VideoRenderWidget.h
- Qt/VideoRenderWidget.cpp